Bug 40836 - /usr/bin/mozilla should have an option to open all URLs in a new window
/usr/bin/mozilla should have an option to open all URLs in a new window
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-05-16 02:41 EDT by Aleksey Nogin
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-31 02:59:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2001-05-16 02:41:09 EDT
It would be nice if /usr/bin/mozilla would consult some config file
(preferably - both system-wide and user-level config files) to choose
whether to use the "new-window" flag on -remote "openurl(...)". Otherwise I
have to remember to edit /usr/bin/mozilla every time I want to switch the
version of Mozilla I am using. :-)
Comment 1 Aleksey Nogin 2001-05-22 10:47:28 EDT
This is especially important in light of
http://bugzilla.mozilla.org/show_bug.cgi?id=41527 - in the current builds of
Mozilla openurl would not work at all without the new-window argument.
Comment 2 Christopher Blizzard 2001-06-09 18:04:20 EDT
That's up to the person calling -remote.  I don't want to add strange defaults.

Plus, the openurl problems have been fixed in 0.9.1 which should be in rawhide
Comment 3 Aleksey Nogin 2001-06-09 18:12:15 EDT
But it's not the caller who specified the -remote option, it's the
/usr/bin/mozilla (that comes with the RPM) script that does it!

To reproduce:
1) Run /usr/bin/mozilla http://www.redhat.com/

Actual result:
One of the current browser windows goes to http://www.redhat.com/

Desired result:
A new window is opened with http://www.redhat.com/

Currently, I achieve the desired result by editing /usr/bin/mozilla and replacing
$MOZ_PROGRAM -remote "openurl($opt)" 2>/dev/null > /dev/null
$MOZ_PROGRAM -remote "openurl($opt,new-window)" 2>/dev/null > /dev/null

Unfortunatelly, I have to do it every time I upgrade the RPM (which I do pretty

It would be better if /usr/bin/mozilla would consult the environment or some
config file to decide whether do openurl($opt) or openurl($opt,new-window)
Comment 4 Christopher Blizzard 2001-06-09 18:17:40 EDT
I don't want to have more than one way to specify the same option.  If you want,
 wander over to mozilla's bug tracking system and whip up a patch that ads a
real mozilla pref for defaulting all openurl() requests to a new window.  It
should be 6 lines of C++ and a new pref panel.
Comment 5 Aleksey Nogin 2001-06-10 10:15:59 EDT
No, such Mozilla pref would not be the right thing IMHO. What I want is to
change behaviour of /usr/bin/mozilla, not of Mozilla. I.e. I want:

/usr/bin/mozilla -remote openurl(URL)            => URL opened in a current window
/usr/bin/mozilla -remote openurl(URL,new-window) => URL opened in a new window
/usr/bin/mozilla URL                             => URL opened in a new window
(or current/new depending on some outside preference)
Comment 6 Aleksey Nogin 2001-08-20 12:25:07 EDT
OK, simplier request - can you make /usr/bin/mozilla a %config file (or even
%config(noreplace) ) so that people like me can mess with it without having to
do something about it at each upgrade to latest nightly? Thanks!
Comment 7 Christopher Aillon 2005-03-31 02:59:23 EST
Default browser is now firefox, and this is fixed there.  See bug 138789. 
Wontfix for this one.

Note You need to log in before you can comment on or make changes to this bug.